package com.dragoninfo.dcuc.app.dto;

import lombok.Data;

import java.util.List;

/**
 * 资源获取结果
 * @author mazq
 * @date 2021/2/27
 */
@Data
public class ResourceRequestResultDTO {

    /**
     * 资源枚举类ResourceTypeEnum 资源id
     */
    private String resourceId;

    /**
     * 当获取失败时,失败的页码集合
     */
    private List<Integer> pageNos;

    /**
     * 总页码数量
     */
    private Integer totalPages;

    /**
     * 是否获取成功
     */
    private String success;

    public ResourceRequestResultDTO() {
    }

    public ResourceRequestResultDTO(String resourceId, List<Integer> pageNos) {
        this.resourceId = resourceId;
        this.pageNos = pageNos;
    }

}
