package com.dragoninfo.dcuc.app.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 应用服务资源同步DTO
 * @author mazq
 * @Description
 * @create 2020-11-25 14:21
 */
@Data
public class ResourceSyncDTO implements Serializable {

    private String id;

    /**
     * 外部Id
     */
    private String extId;

    /**
     * 内容（Json格式）
     */
    private String content;

    /**
     * 资源枚举类-资源id
     */
    private String resourceId;

    /**
     * 资源枚举类-资源类型
     */
    private String resourceType;

    /**
     * 资源枚举类-资源提供方
     */
    private String resourceProvider;

    /**
     * 服务资源编码
     */
    private String serviceCode;

    /**
     * 服务资源名称
     */
    private String serviceName;

    /**
     * 应用资源编码
     */
    private String appCode;

    /**
     * 应用资源名称
     */
    private String appName;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private String deleted;

    /**
     * 是否同步
     */
    private String sync;

    public ResourceSyncDTO() {
    }

    public ResourceSyncDTO(String resourceId, String resourceType, String resourceProvider) {
        this.resourceId = resourceId;
        this.resourceType = resourceType;
        this.resourceProvider = resourceProvider;
    }
}
