package com.dragoninfo.dcuc.app.dto.dataresource;

import lombok.Data;

import java.util.List;

/**
 * 基础返回值
 *
 * @Author: qiuyu
 * @Date: 2021/4/15 11:11
 * @Description:
 */
@Data
public class BaseResp<T> {

    /**
     * 成功代码
     */
    public static final String SUCCESS_CODE = "000";
    /**
     * 返回状态，000成功，其它异常
     */
    private String code;
    /**
     * 返回消息
     */
    private String message;
    /**
     * 返回数据
     */
    private T resultData;

    public boolean isSuccess() {
        return this.code.equals(SUCCESS_CODE);
    }

    public boolean isFail() {
        return !isSuccess();
    }
}
