
package com.dragoninfo.dcuc.app.dto.dataresource;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.date.DatePattern;
import cn.hutool.core.date.DateUtil;
import com.dragoninfo.dcuc.app.entity.sub.AppDataResourceInfo;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 数据资源表信息
 *
 * @author huangzqa
 * @date 2022/10/02
 */
@Data
public class DataResourceInfoDTO {

    /**
     * 应用系统编号
     */
    private String applicationCode;

    /**
     * 应用系统名称
     */
    private String applicationCodeName;

    /**
     * 数据资源事权单位编号
     */
    private String authorityDeptCode;

    /**
     * 数据资源事权单位名称
     */
    private String authorityDeptName;

    /**
     * 数据资源目录编号
     */
    private String catalogCode;

    /**
     * 对标类型00:未对标;01:本地标准;02:公安部规范
     */
    private String comparisonType;

    /**
     * 数据获取方式编号
     */
    private String dataAccessCode;

    /**
     * 数据获取方式名称
     */
    private String dataAccessName;

    /**
     * 数据分级代码
     */
    private String dataClassification;

    /**
     * 数据分级名称
     */
    private String dataClassificationName;

    /**
     * 数据组织一级分类代码
     */
    private String dataClassifyOneCode;

    /**
     * 数据组织一级分类名称
     */
    private String dataClassifyOneName;

    /**
     * 数据组织二级分类代码
     */
    private String dataClassifyTwoCode;

    /**
     * 数据组织二级分类名称
     */
    private String dataClassifyTwoName;

    /**
     * 数据接入方式编号
     */
    private String dataInsertCode;

    /**
     * 数据接入方式名称
     */
    private String dataInsertName;

    /**
     * 数据标签5代码
     */
    private String dataLabelFiveCode;

    /**
     * 数据标签5名称
     */
    private String dataLabelFiveName;

    /**
     * 数据标签4代码
     */
    private String dataLabelFourCode;

    /**
     * 数据标签4名称
     */
    private String dataLabelFourName;
    /**
     * 数据标签3代码
     */
    private String dataLabelThreeCode;
    /**
     * 数据标签3名称
     */
    private String dataLabelThreeName;
    /**
     * 数据标签3代码
     */
    private String dataLabelTwoCode;
    /**
     * 数据标签2名称
     */
    private String dataLabelTwoName;
    /**
     * 数据标签1代码
     */
    private String dataLabelOneCode;
    /**
     * 数据标签1名称
     */
    private String dataLabelOneName;
    /**
     * 数据对象ID
     */
    private String dataObjectId;
    /**
     * 一级数据来源编号
     */
    private String dataSourceOneCode;
    /**
     * 一级数据来源名称
     */
    private String dataSourceOneName;
    /**
     * 二级数据来源编号
     */
    private String dataSourceTwoCode;
    /**
     * 二级数据来源名称
     */
    private String dataSourceTwoName;
    /**
     * 增量数据记录规模
     */
    private String incrementRecordSize;
    /**
     * 增量数据存储规模
     */
    private String incrementStorageSize;
    /**
     * 是否开放服务1是0否
     */
    private String isAccess;
    /**
     * 数据资源管理单位编号
     */
    private String manageDeptCode;
    /**
     * 数据资源管理单位名称
     */
    private String manageDeptName;
    /**
     * 注册时间，格式：yyyy-MM-dd HH:mm:ss
     */
    private String registerTime;
    /**
     * 数据资源标识符
     */
    private String resourceCode;
    /**
     * 数据资源描述
     */
    private String resourceDescription;

    /**
     * 资源ID
     */
    private String resourceId;
    /***
     * 数据资源位置编号
     */
    private String resourceLocationCode;
    /**
     * 数据资源位置名称
     */
    private String resourceLocationName;
    /**
     * 据资源名称
     */
    private String resourceName;
    /**
     * 数据资源服务编号
     */
    private String resourceServiceCode;
    /**
     * 资源状态代码
     */
    private String resourceStatus;

    /**
     * 资源状态名称1启动0停用2注销
     */
    private String resourceStatusName;

    /**
     * 数据资源版本号
     */
    private String resourceVersion;
    /**
     * 来源系统种类编号
     */
    private String sourceSystemCode;
    /**
     * 来源系统种类名称
     */
    private String sourceSystemName;
    /**
     * 标准数据项集编码
     */
    private String standardDataCode;
    /**
     * 标准数据项集名称
     */
    private String standardDataName;
    /**
     * 存量数据记录规模
     */
    private String stockRecordSize;
    /**
     * 存量数据存储规模
     */
    private String stockStorageSize;
    /**
     * 数据资源存储位置描述编号
     */
    private String storageCenterCode;
    /**
     * 数据资源存储位置描述名称
     */
    private String storageCenterName;
    /**
     * 数据存储周期
     */
    private String storageCycle;
    /**
     * 数据对象英文名
     */
    private String tableCode;
    /**
     * 数据对象中文名
     */
    private String tableName;
    /**
     * 数据更新周期代码
     */
    private String updateCycleCode;
    /**
     * 数据更新周期名称
     */
    private String updateCycleName;
    /**
     * 更新时间，格式：yyyy-MM-dd HH:mm:ss
     */
    private String updateTime;

    /**
     * 数据项信息
     */
    private List<DataResourceItemIntoDTO> dataItems;

    public AppDataResourceInfo parseToAppDataResourceInfo() {
        AppDataResourceInfo appDataResourceInfo = new AppDataResourceInfo();
        BeanUtil.copyProperties(this, appDataResourceInfo);
        BeanUtil.copyProperties(this, appDataResourceInfo);
        Date registerTime = DateUtil.parse(this.registerTime, DatePattern.NORM_DATETIME_PATTERN);
        appDataResourceInfo.setResourceRegisterTime(registerTime);
        Date updateTime = DateUtil.parse(this.updateTime, DatePattern.NORM_DATETIME_PATTERN);
        appDataResourceInfo.setResourceUpdateTime(updateTime);
        appDataResourceInfo.setAccess(this.isAccess);

        appDataResourceInfo.setCreateTime(null);
        appDataResourceInfo.setUpdateTime(null);
        return appDataResourceInfo;
    }

}
