package com.dragoninfo.dcuc.app.entity;


import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;

import java.io.Serializable;
import java.util.Date;

/**
 * 服务资源entity
 * @author mazq
 * @Description
 * @create 2020-11-25
 */
@TableName("T_SERVICE_RESOURCE")
@Data
public class ServiceResource implements Serializable {
    @TableId(type = IdType.UUID)
    private String id;

    /**
     * 资源枚举类-资源id
     */
    private String resourceId;

    /**
     * 资源枚举类-资源类型
     */
    private String resourceType;

    /**
     * 资源枚举类-资源提供方
     */
    private String resourceProvider;

    /**
     * 服务资源标识符
     */
    private String serviceCode;

    /**
     * 服务名称
     */
    private String serviceName;

    /**
     * 服务资源状态代码 0：未激活；1：启用；2：停止；3：撤销；
     */
    private String serviceStatus;

    /**
     * 服务访问地址
     */
    private String serviceUrl;

    /**
     * 建设单位编码（orgCode）
     */
    private String buildUnitCode;

    /**
     * 建设单位名称
     */
    private String buildUnit;

    /**
     * 建设单位负责人
     */
    private String buildPrincipal;

    /**
     * 建设单位负责人电话
     */
    private String buildPrincipalPhone;

    /**
     * 管理单位name
     */
    private String managerUnit;

    /**
     * 管理单位code
     */
    private String managerUnitCode;

    /**
     * 承建单位编码（ManufacturerCode）
     */
    private String contractUnitCode;

    /**
     * 承建单位名称
     */
    private String contractUnit;

    /**
     * 承建单位负责人
     */
    private String contractPrincipal;

    /**
     * 承建单位负责人电话
     */
    private String contractPrincipalPhone;

    /**
     * 是否删除
     */
    @TableLogic
    private String deleted;

    /**
     * 框架组封装后需要加上jdbcType = JdbcType.TIMESTAMP数据库字段上的值才会有时分秒
     * 创建时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date createTime;

    /**
     * 框架组封装后需要加上jdbcType = JdbcType.TIMESTAMP数据库字段上的值才会有时分秒
     * 更新时间
     */
    @TableField(jdbcType = JdbcType.TIMESTAMP)
    private Date updateTime;

    /**
     * 服务类型
     */
    private String serviceType;
    /**
     * 服务提供方式
     */
    private String serviceProvideWay;
    /**
     * 是否自用服务
     */
    private String mustSelf;
    /**
     * 服务提供应用系统code
     */
    private String appCode;

    /**
     * 服务资源描述
     */
    private String remark;

}
