package com.dragoninfo.dcuc.app.enumresources.sub;

/**
 * 字段分类枚举类
 * @author mazq
 * @date 2021/5/26
 */
public enum FieldClaTypeEnum {

    /**
     * 数据资源分类枚举类
     */
    FIR("FIR","一级分类","1"),
    SEC("SEC","二级分类","2");

    private String code;
    private String label;
    private String level;

    FieldClaTypeEnum(String code, String label, String level) {
        this.code = code;
        this.label = label;
        this.level = level;
    }

    public static FieldClaTypeEnum getByLevel(int level) {
        for (FieldClaTypeEnum value : values()) {
            if(Integer.parseInt(value.getLevel())== level) {
                return value;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }
}
