package com.dragoninfo.dcuc.app.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 数据集分页展示Vo
 * @author mazq
 * @date 2023/6/28
 */
@Data
@ApiModel(value = "数据集分页展示Vo")
public class AppDataItemPageVo {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "数据集资源id")
    private String resourceTableId;

    @ApiModelProperty(value = "数据集资源名称")
    private String appDataResourceName;

    @ApiModelProperty(value = "字段分类名称")
    private String columnClassifyName;

    @ApiModelProperty(value = "字段英文名称")
    private String columnCode;

    @ApiModelProperty(value = "字段中文名称")
    private String columnName;

    @ApiModelProperty(value = "数据项编号")
    private String dataItemNo;

    @ApiModelProperty(value = "数据项标识符")
    private String dataItemCode;

    @ApiModelProperty(value = "是否失效，true/false")
    private String invalidStatus;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date columnRegisterTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date columnUpdateTime;
}
