package com.dragoninfo.dcuc.app.facade.sub;

import cn.hutool.core.bean.BeanUtil;
import com.dragoninfo.dcuc.app.entity.sub.AppDataResourceInfo;
import com.dragoninfo.dcuc.app.service.sub.IAppDataResourceInfoService;
import com.dragoninfo.dcuc.app.vo.AppDataResourceInfoRespVO;
import com.dragoninfo.dcuc.app.vo.AppDataResourcePageVo;
import com.dragoninfo.dcuc.common.utils.DcucBeanUtil;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
import java.util.Optional;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2022/10/3
 */
@RestController
@RequestMapping(value = "/dcuc/app/appDataResourceInfoFacade")
public class AppDataResourceInfoFacade implements IAppDataResourceInfoFacade {

    @Autowired
    private IAppDataResourceInfoService appDataResourceInfoService;

    @Override
    public List<AppDataResourceInfoRespVO> searchList(SearchDTO searchDTO) {
        List<AppDataResourceInfo> resourceInfoList = appDataResourceInfoService.searchList(Searchable.toSearchable(searchDTO));
        List<AppDataResourceInfoRespVO> respVOList = new ArrayList<>(resourceInfoList.size());
        for (AppDataResourceInfo appDataResourceInfo : resourceInfoList) {
            AppDataResourceInfoRespVO appDataResourceInfoRespVO = new AppDataResourceInfoRespVO();
            BeanUtil.copyProperties(appDataResourceInfo, appDataResourceInfoRespVO);
            respVOList.add(appDataResourceInfoRespVO);
        }
        return respVOList;
    }

    @Override
    public AppDataResourceInfoRespVO findByResourceCode(String resourceCode) {
        AppDataResourceInfo appDataResourceInfo = appDataResourceInfoService.findByResourceCode(resourceCode);
        if (appDataResourceInfo == null) {
            return null;
        }
        AppDataResourceInfoRespVO appDataResourceInfoRespVO = new AppDataResourceInfoRespVO();
        BeanUtil.copyProperties(appDataResourceInfo, appDataResourceInfoRespVO);
        return appDataResourceInfoRespVO;
    }

    @Override
    public Page<AppDataResourcePageVo> pageSearch(SearchDTO searchDTO) {
        return appDataResourceInfoService.pageSearch(searchDTO);
    }

    @Override
    public AppDataResourceInfoRespVO getById(String id) {
        AppDataResourceInfo resourceInfo = appDataResourceInfoService.getById(id);
        return Optional.ofNullable(resourceInfo)
                .map(e-> DcucBeanUtil.createCopyToObject(e, AppDataResourceInfoRespVO.class))
                .orElse(null);
    }

    @Override
    public ResponseStatus deleteById(String id) {
        appDataResourceInfoService.deleteById(id);
        return ResponseStatus.success();
    }
}
