package com.dragoninfo.dcuc.app.service.sub;

import com.dragoninfo.dcuc.app.entity.sub.AppDataItemInfo;
import com.dragoninfo.dcuc.app.vo.AppDataItemInfoRespVO;
import com.dragoninfo.dcuc.app.vo.AppDataItemPageVo;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import com.dragonsoft.duceap.core.search.Searchable;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2022/10/2
 */
public interface IAppDataItemInfoService {

    /**
     * 保存所有
     *
     * @param appDataItemInfoList 列表
     */
    void saveAll(List<AppDataItemInfo> appDataItemInfoList);

    /**
     * 删除所有
     */
    void deleteAll();

    /**
     * 根据字段ID查询
     *
     * @param dataItemNo 数据项标识
     * @return 字段信息
     */
    AppDataItemInfo selectByDataItemNo(String dataItemNo);

    /**
     * 更新所有
     *
     * @param updateDataItemInfoList 集合
     */
    void updateAll(List<AppDataItemInfo> updateDataItemInfoList);

    /**
     * 获取所有列信息
     * @return
     */
    List<AppDataItemInfo> getHasClassifyColInfos();


    /**
     * 搜索查询列表
     *
     * @param searchable 搜索条件
     * @return 集合
     */
    List<AppDataItemInfo> searchList(Searchable searchable);

    /**
     * 根据表ID查询数据项信息
     *
     * @param tableId 表ID
     * @return 数据项信息
     */
    List<AppDataItemInfo> selectByTableId(String tableId);

    /**
     * 数量统计
     * @param startTime
     * @param endTime
     * @return
     */
    Long count(Date startTime, Date endTime);

    /**
     * 分页查询
     * @param searchDTO
     * @return
     */
    Page<AppDataItemPageVo> pageSearch(SearchDTO searchDTO);

    /**
     * 根据id删除
     * @param id
     */
    void deleteById(String id);
}
