CREATE TABLE `t_apply_info` (
  `id` varchar(32) NOT NULL DEFAULT '' COMMENT 'id',
  `apply_name` varchar(100) DEFAULT NULL COMMENT '应用名称',
  `apply_code` varchar(32) DEFAULT NULL COMMENT '应用代码',
  `apply_category` varchar(32) DEFAULT NULL COMMENT '应用类别',
  `police_species` varchar(32) DEFAULT NULL COMMENT '所属业务警种',
  `org_id` varchar(80) DEFAULT NULL COMMENT '所属单位id',
  `org_name` varchar(100) DEFAULT NULL COMMENT '所属单位',
  `sort` decimal(10,0) DEFAULT NULL COMMENT '排序号',
  `apply_url` varchar(200) DEFAULT NULL COMMENT '应用URL',
  `manufacturer_id` varchar(32) DEFAULT NULL COMMENT '应用厂商ID',
  `manufacturer_name` varchar(80) DEFAULT NULL COMMENT '应用厂商',
  `apply_status` varchar(32) DEFAULT NULL COMMENT '应用状态',
  `manager_name` varchar(32) DEFAULT NULL COMMENT '应用管理员',
  `manager_phone` varchar(32) DEFAULT NULL COMMENT '管理员联系电话',
  `manager_describe` varchar(200) DEFAULT NULL COMMENT '应用描述',
  `api_key` varchar(32) DEFAULT NULL COMMENT 'API Key',
  `secret_key` varchar(32) DEFAULT NULL COMMENT 'Secret Key',
  `apply_icon` varchar(32) DEFAULT NULL COMMENT '应用图标',
  `deleted` varchar(32) DEFAULT NULL COMMENT '删除 0：否 ，1：是',
  `registration_time` date DEFAULT NULL COMMENT '注册时间',
  `FZR` varchar(50) DEFAULT NULL COMMENT '负责人',
  `FZR_PHONE` varchar(32) DEFAULT NULL COMMENT '负责人联系电话',
  `ICON_COLOR` varchar(10) DEFAULT NULL COMMENT '图标颜色代码，不加“#”',
  `FACE_VERIFY_FLAG` varchar(10) DEFAULT NULL COMMENT '人脸识别标志位',
  `JG_FZR` varchar(20) DEFAULT NULL COMMENT '建设单位负责人姓名',
  `JG_FZR_PHONE` varchar(20) DEFAULT NULL COMMENT '建设单位负责人联系电话',
  UNIQUE KEY `PK_T_APPLY_INFO` (`ID`),
  PRIMARY KEY (`id`),
  KEY `MANUFACTURER_ID_INDEX` (`manufacturer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='应用信息表';

  
CREATE TABLE `t_manufacturer_info` (
  `id` varchar(32)  NOT NULL   COMMENT 'ID',
  `manufacturer_name` varchar(100) DEFAULT NULL COMMENT '厂商名称',
  `name` varchar(100) DEFAULT NULL COMMENT '厂商负责人',
  `idcard` varchar(32) DEFAULT NULL COMMENT '负责人身份号码',
  `phone` varchar(32) DEFAULT NULL COMMENT '联系电话',
  `address` varchar(500) DEFAULT NULL COMMENT '厂商地址',
  `deleted` varchar(32) DEFAULT NULL COMMENT '删除 0：否，1：是',
  `CODE` varchar(32) DEFAULT NULL COMMENT '组织机构代码',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='厂商信息表';

  
CREATE TABLE `t_apply_oauth` (
                                 `id`         varchar(32) NOT NULL DEFAULT 'ID',
                                 `apply_id`   varchar(32)          DEFAULT NULL COMMENT '应用ID',
                                 `api_key`    varchar(32)          DEFAULT NULL COMMENT 'API_KEY',
                                 `secret_key` varchar(32)          DEFAULT NULL COMMENT 'Secret_Key',
                                 `deleted`    varchar(2)           DEFAULT NULL COMMENT '0.使用 1.删除',
                                 PRIMARY KEY (`id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8 COMMENT ='应用授权信息';

insert into T_APPLY_INFO (ID, APPLY_NAME, APPLY_CODE, APPLY_CATEGORY, POLICE_SPECIES, ORG_ID, ORG_NAME, SORT, APPLY_URL,
                          MANUFACTURER_ID, MANUFACTURER_NAME, APPLY_STATUS, MANAGER_NAME, MANAGER_PHONE,
                          MANAGER_DESCRIBE, API_KEY, SECRET_KEY, APPLY_ICON, DELETED, REGISTRATION_TIME, FZR, FZR_PHONE,
                          ICON_COLOR, FACE_VERIFY_FLAG, JG_FZR, JG_FZR_PHONE)
values ('2c90e9446710758d016710d090f10000', '全国人口信息-用户中心', 'YHZX0000000000000001', '1', '02',
        '7F08CCC3C4984A2586C9D3F0A6B804E5', '公安部', 24, 'http://192.167.10.11:8888/dcuc', 'dragonsoftcompany',
        '厦门市巨龙信息科技有限公司1', '0', 'ADMIN', null, null, 'YHZX000000000000000118723072', 'YHZX000000000000000121798644', null, '0', str_to_date('14-11-2018', '%d-%m-%Y'), null,
        null, null, '1', '01', null);

INSERT INTO `t_apply_info`
VALUES ('2c90e96669318cd9016931ee49bb0000', '统一授权（勿删）', 'QXXT0000000000000001', '3', '1',
        '7F08CCC3C4984A2586C9D3F0A6B804E5', '公安部', '68', 'http://172.16.105.230:8889/dcucAuth',
        'dragonsoftcompany', '厦门市巨龙信息科技有限公司1', '0', 'ADMIN', '', '', 'QXXT000000000000000118723072',
        'QXXT000000000000000121798644', '7B8935CFCA97B5981031554793665622', '0', '2019-02-28', 'ADMIN', '12345678995',
        '', '', null, null);


insert into t_manufacturer_info (ID, MANUFACTURER_NAME, NAME, IDCARD, PHONE, ADDRESS, DELETED, CODE)
values ('dragonsoftcompany', '厦门市巨龙信息科技有限公司1', '44y', '350524199111012121', '0592-570709', '厦门市火炬开发区创新二路一号  巨龙大厦', '0',
        'julong');

insert into t_apply_oauth (ID,APPLY_ID,API_KEY,SECRET_KEY,DELETED) VALUES
('b222b876cf4f31111111a2360715668c', '2c90e96669318cd9016931ee49bb0000', 'QXXT000000000000000118723072', 'QXXT000000000000000121798644', '0');
insert into t_apply_oauth (ID,APPLY_ID,API_KEY,SECRET_KEY,DELETED) VALUES
('b222b876cf4f3b245c2ba1111115668c', '2c90e9446710758d016710d090f10000', 'YHZX000000000000000118723072', 'YHZX000000000000000121798644', '0');