

-- ----------------------------
-- Table structure for T_SERVICE_RESOURCE
-- ----------------------------
CREATE TABLE  "T_SERVICE_RESOURCE" (
"ID" VARCHAR2(255 BYTE) NOT NULL ,
"RESOURCE_ID" VARCHAR2(20 BYTE) NULL ,
"RESOURCE_TYPE" VARCHAR2(10 BYTE) NULL ,
"RESOURCE_PROVIDER" VARCHAR2(20 BYTE) NULL ,
"SERVICE_CODE" VARCHAR2(100 BYTE) NULL ,
"SERVICE_NAME" VARCHAR2(255 BYTE) NULL ,
"SERVICE_STATUS" VARCHAR2(50 BYTE) NULL ,
"SERVICE_URL" VARCHAR2(255 BYTE) NULL ,
"BUILD_UNIT_ID" VARCHAR2(255 BYTE) NULL ,
"BUILD_UNIT_CODE" VARCHAR2(255 BYTE) NULL ,
"BUILD_UNIT" VARCHAR2(255 BYTE) NULL ,
"BUILD_PRINCIPAL" VARCHAR2(255 BYTE) NULL ,
"BUILD_PRINCIPAL_PHONE" VARCHAR2(50 BYTE) NULL ,
"CONTRACT_UNIT_ID" VARCHAR2(255 BYTE) NULL ,
"CONTRACT_UNIT_CODE" VARCHAR2(255 BYTE) NULL ,
"CONTRACT_UNIT" VARCHAR2(255 BYTE) NULL ,
"CONTRACT_PRINCIPAL" VARCHAR2(255 BYTE) NULL ,
"CONTRACT_PRINCIPAL_PHONE" VARCHAR2(50 BYTE) NULL ,
"CREATE_TIME" TIMESTAMP(0)  NULL ,
"UPDATE_TIME" TIMESTAMP(0)  NULL ,
"DELETED" VARCHAR2(5 BYTE) NULL
)
LOGGING
NOCOMPRESS
NOCACHE

;
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."ID" IS '主键id';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."RESOURCE_ID" IS '资源标识id（内部）';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."RESOURCE_TYPE" IS '资源类型';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."RESOURCE_PROVIDER" IS '资源提供方';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."SERVICE_CODE" IS '服务编码';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."SERVICE_NAME" IS '服务名称';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."BUILD_UNIT_ID" IS '建设单位id';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."BUILD_UNIT_CODE" IS '建设单位编码';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."BUILD_UNIT" IS '建设单位名称';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."BUILD_PRINCIPAL" IS '建设单位负责人';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."BUILD_PRINCIPAL_PHONE" IS '建设单位负责人电话';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."CONTRACT_UNIT_ID" IS '承建单位id';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."CONTRACT_UNIT_CODE" IS '承建单位编码';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."CONTRACT_UNIT" IS '承建单位';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."CONTRACT_PRINCIPAL" IS '承建单位负责人';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."CONTRACT_PRINCIPAL_PHONE" IS '承建单位负责人电话';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."SERVICE_STATUS" IS '服务资源状态';
COMMENT ON COLUMN  "T_SERVICE_RESOURCE"."DELETED" IS '是否删除';


-- ----------------------------
-- Indexes structure for table T_SERVICE_RESOURCE
-- ----------------------------
CREATE INDEX  "s_r_service_code"
ON  "T_SERVICE_RESOURCE" ("SERVICE_CODE" ASC)
LOGGING
VISIBLE;

-- ----------------------------
-- Checks structure for table T_SERVICE_RESOURCE
-- ----------------------------
ALTER TABLE  "T_SERVICE_RESOURCE" ADD CHECK ("ID" IS NOT NULL);

-- ----------------------------
-- Primary Key structure for table T_SERVICE_RESOURCE
-- ----------------------------
ALTER TABLE  "T_SERVICE_RESOURCE" ADD PRIMARY KEY ("ID");


CREATE TABLE  "T_RESOURCE_SYNC" (
"ID" VARCHAR2(255 BYTE) NOT NULL ,
"EXT_ID" VARCHAR2(255 BYTE) NOT NULL ,
"CONTENT" VARCHAR2(3000 BYTE) NULL ,
"SERVICE_CODE" VARCHAR2(100 BYTE) NULL ,
"SERVICE_NAME" VARCHAR2(255 BYTE) NULL ,
"APP_CODE" VARCHAR2(100 BYTE) NULL ,
"APP_NAME" VARCHAR2(255 BYTE) NULL ,
"RESOURCE_ID" VARCHAR2(20 BYTE) NULL ,
"RESOURCE_TYPE" VARCHAR2(10 BYTE) NULL ,
"RESOURCE_PROVIDER" VARCHAR2(20 BYTE) NULL ,
"CREATE_TIME" TIMESTAMP(0)  NULL ,
"UPDATE_TIME" TIMESTAMP(0)  NULL ,
"SYNC" VARCHAR2(5 BYTE) NULL ,
"DELETED" VARCHAR2(5 BYTE) NULL
)
LOGGING
NOCOMPRESS
NOCACHE

;
COMMENT ON COLUMN  "T_RESOURCE_SYNC"."ID" IS '主键id';
COMMENT ON COLUMN  "T_RESOURCE_SYNC"."CONTENT" IS '应用服务资源内容';
COMMENT ON COLUMN  "T_RESOURCE_SYNC"."SERVICE_CODE" IS '服务编码';
COMMENT ON COLUMN  "T_RESOURCE_SYNC"."SERVICE_NAME" IS '服务名称';
COMMENT ON COLUMN  "T_RESOURCE_SYNC"."APP_CODE" IS '应用编码';
COMMENT ON COLUMN  "T_RESOURCE_SYNC"."APP_NAME" IS '应用名称';
COMMENT ON COLUMN  "T_RESOURCE_SYNC"."RESOURCE_ID" IS '资源标识id（内部）';
COMMENT ON COLUMN  "T_RESOURCE_SYNC"."RESOURCE_TYPE" IS '资源类型';
COMMENT ON COLUMN  "T_RESOURCE_SYNC"."RESOURCE_PROVIDER" IS '资源提供方';
COMMENT ON COLUMN  "T_RESOURCE_SYNC"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN  "T_RESOURCE_SYNC"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN  "T_RESOURCE_SYNC"."SYNC" IS '是否同步';
COMMENT ON COLUMN  "T_RESOURCE_SYNC"."DELETED" IS '是否删除';

-- ----------------------------
-- Indexes structure for table T_RESOURCE_SYNC
-- ----------------------------
CREATE INDEX  "r_syc_app_code"
ON  "T_RESOURCE_SYNC" ("APP_CODE" ASC)
LOGGING
VISIBLE;
CREATE INDEX  "r_syc_service_code"
ON  "T_RESOURCE_SYNC" ("SERVICE_CODE" ASC)
LOGGING
VISIBLE;

-- ----------------------------
-- Checks structure for table T_RESOURCE_SYNC
-- ----------------------------
ALTER TABLE  "T_RESOURCE_SYNC" ADD CHECK ("ID" IS NOT NULL);

-- ----------------------------
-- Primary Key structure for table T_RESOURCE_SYNC
-- ----------------------------
ALTER TABLE  "T_RESOURCE_SYNC" ADD PRIMARY KEY ("ID");